Opened 4 years ago

Last modified 4 years ago

#9790 new Bugs

LINK1104 link error

Reported by: Mitch Oldroyd <Oldroyd_m@…> Owned by:
Milestone: To Be Determined Component: Building Boost
Version: Boost 1.55.0 Severity: Problem
Keywords: Cc:

Description

Downloaded 'latest' (at least I thought it was the lastest - Version pull down below suggests two subsequent versions) package from sourceforge. After installing, I started reading the "Getting Started" pages and came to the list of "Need to be Compiled" libraries. Since I'm currently after the filesystem capabilities, I built (using the bootstrap and .\b2 commands). I then started through the tutorial for the filesystem lib.

I set up VS (using MSVS10), to find the boost libraries, and typed in tut1. Upon compile, I get a link error:

LINK : fatal error LNK1104: cannot open file 'libboost_filesystem-vc100-mt-gd-1_55.lib'

The reason that it cannot open it, is because there is NO ...vc100-mt... Instead, we now have ...vc110-mt...

For now, I believe that I'll uninstall, and go back one version. Try to get through the tutorials.

I've used boost libraries before, but always with non-compiled headers and with projects at work. I read about the filesystem iterators online and thought that I'd give it a whirl for a home project. This is what I ran into, so I thought that I'd report it.

Change History (1)

comment:1 Changed 4 years ago by Steven Watanabe

Component: NoneBuilding Boost

b2 uses the most recent installed version of VS by default. You can tell it to use a different version explicitly.

b2 toolset=msvc-10.0 (or msvc-10.0express if you're using the express edition)

Note: See TracTickets for help on using tickets.